astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Models and Fitting (`astropy.modeling`) »
- EulerAngleRotation

# EulerAngleRotation

class `astropy.modeling.rotations.``EulerAngleRotation`

  Bases: `astropy.modeling.Model`

  Implements Euler angle intrinsic rotations.

  Rotates one coordinate system into another (fixed) coordinate system. All coordinate systems are right-handed. The sign of the angles is determined by the right-hand rule..

  Parameters:

  phi, theta, psi : float

  > “proper” Euler angles in deg

  axes_order : str

  > A 3 character string, a combination of ‘x’, ‘y’ and ‘z’, where each character denotes an axis in 3D space.

  Attributes Summary

  `inputs` |
  `outputs` |
  `param_names` |
  `phi` |
  `psi` |
  `theta` |

  Methods Summary

  `__call__`(alpha, delta[, model_set_axis]) | Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.
  `eval`(*args, **kwargs) | Deprecated since version 1.0.
  `evaluate`(alpha, delta, phi, theta, psi) | Evaluate the model on some input variables.
  `spherical2cartesian`(alpha, delta) |

  Attributes Documentation

  `inputs` = (u'alpha', u'delta')
  `outputs` = (u'alpha', u'delta')
  `param_names` = ('phi', 'theta', 'psi')
  `phi`
  `psi`
  `theta`

  Methods Documentation

  `__call__`(alpha, delta, model_set_axis=None)

    Evaluate this model using the given input(s) and the parameter values that were specified when the model was instantiated.

  `eval`(*args, **kwargs)

    Deprecated since version 1.0: The eval function is deprecated and may be removed in a future version. Use EulerAngleRotation.evaluate instead.

    Evaluate the model on some input variables.

  `evaluate`(alpha, delta, phi, theta, psi)

    Evaluate the model on some input variables.

  static `spherical2cartesian`(alpha, delta)